cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
368
Views
0
Helpful
7
Replies

Inter Release Compatibility Matrix between IOS-XE Software and AireOS

ryosaeba86
Level 1
Level 1

Hi All,

My question is very simple... after the EOL of the wireless systems based on AireOS software (WLC 5508 & 5520) is there a minimum inter-operability release between these old systems and the new FireOS (WLC 9800 series)?

I need to guarantee seamless roaming (fast roaming) between "old" and new.

Thanks,

 

1 Accepted Solution

Accepted Solutions

marce1000
VIP
VIP
Google on : Cisco wireless compatibility matrix

Then with Find in browser look for : IRCM

M.



-- Each morning when I wake up and look into the mirror I always say ' Why am I so brilliant ? '
    When the mirror will then always repond to me with ' The only thing that exceeds your brilliance is your beauty! '

View solution in original post

7 Replies 7

marce1000
VIP
VIP
Google on : Cisco wireless compatibility matrix

Then with Find in browser look for : IRCM

M.



-- Each morning when I wake up and look into the mirror I always say ' Why am I so brilliant ? '
    When the mirror will then always repond to me with ' The only thing that exceeds your brilliance is your beauty! '

eglinsky2012
Level 4
Level 4

FYI, more info on IRCM: https://www.cisco.com/c/en/us/td/docs/wireless/controller/technotes/8-8/b_c9800_wireless_controller-aireos_ircm_dg.html

For seamless L3 roaming:

  • Cisco IOS XE code: Release 16.12.5 or 17.3.3 and above.

  • AireOS code: Release 8.5.176 IRCM or 8.10.151 and above

    • Per software download page, 8.5.182.104 is the latest IRCM version. I'm not sure if there are any newer escalation builds that might resolve more bugs. It may be worth confirming with TAC if you require the 8.5 version based on WAP model limitations.

I have AireOS 8.10.190.x in a mobility group with IOS 17.9.4a.

Rich R
VIP
VIP

Always refer to TAC recommended link below.
For 5520 currently 8.10.190.0
For 5508 latest IRCM release is 8.5.182.108 (link below)

Note 9800 series WLCs run IOS-XE not FireOS!

I need to guarantee seamless roaming (fast roaming) between "old" and new.
Refer to the links already provided and take note of the IRCM restrictions and limitations.

Hi,

I want to better describe my problem.
The environment is the metro railway one where Interl-WLC L2 Roaming is performed between Client and AP.
The following devices are currently installed:

WLC 1 and 2 

AIR-CTW5508-K9

8.0.152.12

WLC 3 and 4

AIR-CT5520-K9

8.5.161.9

AP (first batch)

AIR-LAP1242AG-9-K9

8.0.152.12

AP (second batch)

AIR-AP1852E-E-K9

8.5.161.9

Client

MARC C3251

15.0(1) M9

WMIC C3201-K9W7-M

12.4(25d) JA2

The primary goal is to change the Client (which like all the other devices are in EOS), obviously having the least possible impact on everything else.
At the moment studying the Compatibility Matrix I only have this Solution:

Client: Cisco Catalyst IW9167EH-x-WGB (I need railway certificate) (First Cisco IOS XE Release Support Cisco IOS XE Cupertino 17.9.3)

AP:AIR-AP3802E-x-K9  (First Cisco IOS XE Release Support Cisco IOS XE Denali 16.3.1). Instead of 1242AG.

WLC: Controller 9800

In practice I would not only change the AIR-AP1852E-E-K9 APs that support Cisco IOS XE Gibraltar 16.10.1 (First Release)

I will use the Cisco Release IOS XE Cupertino 17.9.3 for all devices.

I know the impact is big but I don't see any valid alternatives. What do you think?

Thanks,

 

 

Mostly agree but not with the selected IOS-XE version 17.9.3 (apart from anything else it has a critical security vulnerability) - refer to the TAC recommended link below.
Currently 17.9.5 is recommended but you could also consider 17.12.3 as there are a number of known issues with 17.9.5

Hi,

thanks for the clarification.

Hi, I have another question about this topic...

Can you confirm that the WGB Client needs to be compatible about IOS with the AP IOS ?

My doubt is.. in order for a wgb client to be compatible with the rest of the installed APs, I must rightly check if the client is compatible with the IOS version of wlc and AP?

Review Cisco Networking for a $25 gift card